aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-x.xinitrc4
-rw-r--r--.zsh_aliases2
-rw-r--r--.zshrc4
l---------bin/bin1
-rwxr-xr-xbin/cacharle-sync27
-rwxr-xr-xinstall2
6 files changed, 35 insertions, 5 deletions
diff --git a/.xinitrc b/.xinitrc
index 9259dbd..1d19d31 100755
--- a/.xinitrc
+++ b/.xinitrc
@@ -1,7 +1,9 @@
+#!/usr/bin/env sh
+
# xinput disable 'ETPS/2 Elantech Touchpad' &
echo 'Starting redshift'
-redshift -c /home/charles/.config/redshift.conf &
+redshift -c $HOME/.config/redshift.conf &
echo 'Starting dunst'
dunst &
xset r rate 200 50
diff --git a/.zsh_aliases b/.zsh_aliases
index 7c59352..39a0b67 100644
--- a/.zsh_aliases
+++ b/.zsh_aliases
@@ -86,8 +86,10 @@ alias lpassp='lpass show --password --clip' # put password in clipboard
# helper to switch between dual and single monitor setup
alias dual='xrandr --output LVDS1 --primary --left-of VGA1 --output VGA1 --mode 1280x1024'
+alias triple='xrandr --output DVI-0 --mode 1024x768 --left-of DVI-1 --output DVI-1 --mode 1920x1080 --primary --left-of HDMI-0 --output HDMI-0 --mode 1920x1080'
alias single='xrandr --output VGA1 --off'
+
# edit config files
alias zshrc="vim $DOTDIR/.zshrc && source $DOTDIR/.zshrc"
alias zshaliasrc="vim $DOTDIR/.zsh_aliases && source $DOTDIR/.zshrc"
diff --git a/.zshrc b/.zshrc
index a6f16b7..e5b9662 100644
--- a/.zshrc
+++ b/.zshrc
@@ -79,8 +79,8 @@ export LESS_TERMCAP_ZO=$(tput ssupm)
export LESS_TERMCAP_ZW=$(tput rsupm)
#XDG
-export XDG_CONFIG_HOME="/home/charles/.config/"
-export XDG_DATA_HOME="/home/charles/.data/"
+export XDG_CONFIG_HOME="$HOME/.config/"
+export XDG_DATA_HOME="$HOME/.data/"
export EDITOR="vim"
export TERM="st-256color"
diff --git a/bin/bin b/bin/bin
deleted file mode 120000
index 4f8476b..0000000
--- a/bin/bin
+++ /dev/null
@@ -1 +0,0 @@
-/home/charles/git/dotfiles/bin \ No newline at end of file
diff --git a/bin/cacharle-sync b/bin/cacharle-sync
new file mode 100755
index 0000000..9a73f50
--- /dev/null
+++ b/bin/cacharle-sync
@@ -0,0 +1,27 @@
+#!/usr/bin/env sh
+
+usage() {
+ echo "Usage: $0 push/pull [rsync args]"
+}
+
+[ -z "$1" ] || [ $# -gt 2 ] && usage && exit 1
+
+RSYNC_CMD="rsync -avh --progress --compress $2"
+
+REMOTE_USER=charles
+REMOTE_HOST=cacharle.xyz
+
+SYNC_DIR="cacharle-sync/"
+SYNC_PATH="$HOME/$SYNC_DIR"
+
+case "$1" in
+ push)
+ $RSYNC_CMD "$SYNC_PATH" "$REMOTE_USER@$REMOTE_HOST:$SYNC_DIR"
+ ;;
+ pull)
+ $RSYNC_CMD "$REMOTE_USER@$REMOTE_HOST:$SYNC_DIR" "$SYNC_PATH"
+ ;;
+ *)
+ usage && exit 1
+ ;;
+esac
diff --git a/install b/install
index fd557e2..5aae9a3 100755
--- a/install
+++ b/install
@@ -58,7 +58,7 @@ create_dotfile_link_same .moc/themes/solarized
create_dotfile_link zathura/zathurarc .config/zathura/zathurarc
-ln -sv "$DOTDIR/bin" "$HOME/bin"
+ln -svT "$DOTDIR/bin" "$HOME/bin"
###############################################################################
# dependencies